yast2-slp

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
slp_debug.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes
struct | SLPErrorEntry

## Macros
#define | MAX_STRING_LENGTH 4096
#define | UNKNOWN_ERROR_LABEL "Unknown"
#define | UNKNOWN_ERROR_DESCRIPTION "Undefined error code."

## Functions
void | get_full_error_data (int error_number, char **error_name, char **error_description)
YCPBoolean | check_error_state (int err, char *location_text)

## Variables
SLPErrorEntry | error_entries []

## Macro Definition Documentation

#define MAX_STRING_LENGTH 4096

#define UNKNOWN_ERROR_DESCRIPTION "Undefined error code."

Referenced by get_full_error_data().

#define UNKNOWN_ERROR_LABEL "Unknown"

Referenced by get_full_error_data().

## Function Documentation

YCPBoolean check_error_state | ( | int | err,
|  | char * | location_text
| ) |  |

References get_full_error_data(), and y2error.

Referenced by SlpAgent::Execute(), MySLPSrvURLCallback(), SlpAgentFindAttrs(), SlpAgentFindSrvs(), SlpAgentFindSrvTypes(), and SlpAgentUnicastFindAttrs().

void get_full_error_data | ( | int | error_number,
|  | char ** | error_name,
|  | char ** | error_description
| ) |  |

References SLPErrorEntry::description, error_entries, SLPErrorEntry::label, UNKNOWN_ERROR_DESCRIPTION, and UNKNOWN_ERROR_LABEL.

Referenced by check_error_state().

## Variable Documentation

SLPErrorEntry error_entries[]

Referenced by get_full_error_data().